Package io.vertx.rxjava3.ext.auth.authorization

## Interface AuthorizationProvider

- All Superinterfaces:
    `io.vertx.lang.rx.RxDelegate`
  All Known Implementing Classes:
    `JWTAuthorization`, `KeycloakAuthorization`, `MicroProfileAuthorization`, `PolicyBasedAuthorizationProvider`, `PropertyFileAuthorization`, `ScopeAuthorization`, `SqlAuthorization`

      public interface AuthorizationProvider
      extends io.vertx.lang.rx.RxDelegate

  The role of an AuthorizationProvider is to return a set of Authorization. Note that each AuthorizationProvider must provide its own unique Id

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Completable` | `getAuthorizations​(User user)` | Updates the user with the set of authorizations.
    `AuthorizationProvider` | `getDelegate()` |
    `String` | `getId()` | returns the id of the authorization provider
    `static AuthorizationProvider` | `newInstance​(AuthorizationProvider arg)` |
    `Completable` | `rxGetAuthorizations​(User user)` | Updates the user with the set of authorizations.

- - ### Method Detail

    - #### getDelegate

          AuthorizationProvider getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### getId

          String getId()

      returns the id of the authorization provider
      Returns:

    - #### getAuthorizations

          Completable getAuthorizations​(User user)

      Updates the user with the set of authorizations.
      Parameters:
        `user` - user to lookup and update.
      Returns:
        Future void to signal end of asynchronous call.

    - #### rxGetAuthorizations

          Completable rxGetAuthorizations​(User user)

      Updates the user with the set of authorizations.
      Parameters:
        `user` - user to lookup and update.
      Returns:
        Future void to signal end of asynchronous call.

    - #### newInstance

          static AuthorizationProvider newInstance​(AuthorizationProvider arg)